--- old/usr/src/cmd/man/Makefile	Fri Jul 18 08:34:31 2014
+++ new/usr/src/cmd/man/Makefile	Fri Jul 18 08:34:31 2014
@@ -1,61 +1,46 @@
 #
-# CDDL HEADER START
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
 #
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
 #
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
+
 #
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
+# Copyright 2012 Nexenta Systems, Inc. All rights reserved.
 #
-# CDDL HEADER END
-#
-#
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
-# Copyright (c) 1990 by Sun Microsystems, Inc.
-#
-# cmd/man/Makefile
 
-include ../Makefile.cmd
-SUBDIRS = src
+PROG=		man
+LINKS=		apropos whatis catman
+LIBLINKS =	makewhatis
+OBJS=		makewhatis.o man.o stringlist.o
+SRCS=		$(OBJS:%.o=%.c)
 
-all :=		TARGET= all
-install :=	TARGET= install
-clean :=	TARGET= clean
-clobber :=	TARGET= clobber
-lint :=		TARGET= lint
-_msg :=         TARGET= catalog
+include		$(SRC)/cmd/Makefile.cmd
 
-#for message catalog files
-POFILE = man.po
-POFILES = src/src.po
+CFLAGS +=	$(CCVERBOSE)
 
-.KEEP_STATE:
+ROOTLINKS=	$(LINKS:%=$(ROOTBIN)/%) $(LIBLINKS:%=$(ROOTLIB)/%)
 
-all install clean lint: $(SUBDIRS)
+.KEEP_STATE :
 
-clobber: $(SUBDIRS)	local_clobber
+all:		$(PROG)
 
-local_clobber:
-	$(RM)	$(CLOBBERFILES)
+clean:
+		$(RM) $(OBJS)
 
-_msg:   $(SUBDIRS)
-	$(RM)	$(POFILE)
-	cat $(POFILES)      > $(POFILE)
-	$(RM)  $(MSGDOMAIN)/$(POFILE)
-	cp $(POFILE) $(MSGDOMAIN)
+install:	all $(ROOTPROG) $(ROOTLINKS)
 
-$(SUBDIRS): FRC
-	@cd $@; pwd; $(MAKE) $(TARGET)
+lint: 		lint_SRCS
 
-FRC:
+$(PROG):	$(OBJS)
+		$(LINK.c) $(OBJS) -o $@ $(LDLIBS)
+		$(POST_PROCESS)
+
+$(ROOTLINKS):	$(ROOTPROG)
+		$(RM) $@; $(LN) $(ROOTPROG) $@
+
+include		$(SRC)/cmd/Makefile.targ
